Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.validation
Interface CharacterDataEditVAL

All Superinterfaces:
  NodeEditVAL

All Known Implementing Classes:
  oracle.xml.parser.v2.CharData

public interface CharacterDataEditVAL
extends NodeEditVAL

This interface extends the `NodeEditVAL` interface with additional methods for document editing. An object implementing this interface must also implement `CharacterData` interface.

See the Document Object Model (DOM) Level 3 Validation Specification.

Field Summary

Fields inherited from interface org.w3c.dom.validation.NodeEditVAL
`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

Method Summary
`short` | `canAppendData(java.lang.String arg)` Determines if data can be appended.
`short` | `canDeleteData(int offset, int count)` Determines if data can be deleted.
`short` | `canInsertData(int offset, java.lang.String arg)` Determines if data can be inserted.
`short` | `canReplaceData(int offset, int count, java.lang.String arg)` Determines if data can be replaced.
`short` | `canSetData(java.lang.String arg)` Determines if data can be set.
`short` | `isWhitespaceOnly()` Determines if data is only whitespace.

Methods inherited from interface org.w3c.dom.validation.NodeEditVAL
`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, getDefaultValue, getEnumeratedValues, nodeValidity`

Method Detail

### isWhitespaceOnly

    public short isWhitespaceOnly()

  Determines if data is only whitespace.
  Returns:
    A validation state constant.

### canSetData

    public short canSetData(java.lang.String arg)

  Determines if data can be set.
  Parameters:
    `arg` - Argument to be set.
  Returns:
    A validation state constant.

### canAppendData

    public short canAppendData(java.lang.String arg)

  Determines if data can be appended.
  Parameters:
    `arg` - Data to be appended.
  Returns:
    A validation state constant.

### canReplaceData

    public short canReplaceData(int offset,
                                int count,
                                java.lang.String arg)
                         throws DOMException

  Determines if data can be replaced.
  Parameters:
    `offset` - Offset.
    `count` - Replacement.
    `arg` - Argument to be set.
  Returns:
    A validation state constant.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of 16-bit units in data, or if the specified count is negative.

### canInsertData

    public short canInsertData(int offset,
                               java.lang.String arg)
                        throws DOMException

  Determines if data can be inserted.
  Parameters:
    `offset` - Offset.
    `arg` - Argument to be set.
  Returns:
    A validation state constant.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of 16-bit units in data.

### canDeleteData

    public short canDeleteData(int offset,
                               int count)
                        throws DOMException

  Determines if data can be deleted.
  Parameters:
    `offset` - Offset.
    `count` - Number of 16-bit units to delete.
  Returns:
    A validation state constant.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of 16-bit units in data, or if the specified count is negative.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 W3C® (MIT, INRIA, Keio), All rights reserved.